MISoundAddons.modifySounds(e => {
	
	e.modifyDuration('soundtest', 38);
    e.modifyVolume('soundtest', 1.0);
	
	// duration in ticks
	// 1000 ms/s > 50ms each tick
	// formula: audio ms/50 for value of ticks to add
	// if audio is 4s 467ms > 4x20=80 + 467/50=9.34 == 89
	
    e.modifyDuration('shredder', 41);
    e.modifyVolume('shredder', 1.0);
	
	e.modifyDuration('sluice', 54);
    e.modifyVolume('sluice', 1.0);
	
	e.modifyDuration('hsla_blast', 135);
    e.modifyVolume('hsla_blast', 1.0);
	
	e.modifyDuration('super_boiler', 32);
    e.modifyVolume('super_boiler', 1.0);
	
	e.modifyDuration('alloy_smelter', 32);
    e.modifyVolume('alloy_smelter', 1.0);
	
	e.modifyDuration('electric_alloy_smelter', 32);
    e.modifyVolume('electric_alloy_smelter', 1.0);
	
	e.modifyDuration('drill1', 145);
    e.modifyVolume('drill1', 1.0);
	
	e.modifyDuration('drill2', 120);
    e.modifyVolume('drill2', 1.0);
	
	e.modifyDuration('drill3', 103);
    e.modifyVolume('drill3', 1.0);
	
	e.modifyDuration('drill4', 90);
    e.modifyVolume('drill4', 1.0);
	
	e.modifyDuration('lv_miner', 58);
    e.modifyVolume('lv_miner', 1.0);
	
	e.modifyDuration('proto', 64);
    e.modifyVolume('proto', 1.0);
	
	e.modifyDuration('gas_collector', 64);
    e.modifyVolume('gas_collector', 1.0);
	
	e.modifyDuration('stirred_tank', 55);
    e.modifyVolume('stirred_tank', 1.0);
	
	e.modifyDuration('bubble_reactor', 115);
    e.modifyVolume('bubble_reactor', 1.0);
	
	e.modifyDuration('elecell', 220);
    e.modifyVolume('elecell', 1.0);
	
	e.modifyDuration('dehy', 61);
    e.modifyVolume('dehy', 1.0);
	
	e.modifyDuration('fextract', 69);
    e.modifyVolume('fextract', 1.0);
	
	e.modifyDuration('roaster', 35);
    e.modifyVolume('roaster', 1.0);
	
	e.modifyDuration('crystallizer', 59);
    e.modifyVolume('crystallizer', 1.0);
	
	e.modifyDuration('batch_reactor', 113);
    e.modifyVolume('batch_reactor', 1.0);
	
	e.modifyDuration('bed_reactor', 64);
    e.modifyVolume('bed_reactor', 1.0);
	
	e.modifyDuration('fluid_heater', 67);
    e.modifyVolume('fluid_heater', 1.0);
	
	e.modifyDuration('advanced_centrifuge', 72);
    e.modifyVolume('advanced_centrifuge', 1.0);
	
	e.modifyDuration('vacuum_chamber', 65);
    e.modifyVolume('vacuum_chamber', 1.0);
	
	e.modifyDuration('sifter', 85);
    e.modifyVolume('sifter', 1.0);
	
	e.modifyDuration('autoclave', 47);
    e.modifyVolume('autoclave', 1.0);
	
	e.modifyDuration('chemical_bath', 116);
    e.modifyVolume('chemical_bath', 1.0);
	
	e.modifyDuration('fluid_compressor', 60);
    e.modifyVolume('fluid_compressor', 1.0);
	
	e.modifyDuration('es_separator', 62);
    e.modifyVolume('es_separator', 1.0);
	
	e.modifyDuration('em_separator', 59);
    e.modifyVolume('em_separator', 1.0);

	e.modifyDuration('ore_centrifuge', 116);
    e.modifyVolume('em_separator', 1.0);
	
	e.modifyDuration('arc_furnace', 127);
    e.modifyVolume('arc_furnace', 1.0);
	
	e.modifyDuration('ore_electrolyzer', 38);
    e.modifyVolume('ore_electrolyzer', 1.0);
	
	e.modifyDuration('steam_cracking', 54);
    e.modifyVolume('steam_cracking', 1.0);
	
	e.modifyDuration('poly_tank', 101);
    e.modifyVolume('poly_tank', 1.0);
	
	e.modifyDuration('mine_clay', 98);
    e.modifyVolume('mine_clay', 1.0);

	e.modifyDuration('alloy_blast_smelter', 92);
    e.modifyVolume('alloy_blast_smelter', 1.0);
	
	e.modifyDuration('oil_driller', 388);
    e.modifyVolume('oil_driller', 1.0);
	
	e.modifyDuration('cracking_unit', 98);
    e.modifyVolume('cracking_unit', 1.0);
	
	e.modifyDuration('lcr', 100);
    e.modifyVolume('lcr', 1.0);
	
	e.modifyDuration('sintering_oven', 136);
    e.modifyVolume('sintering_oven', 1.0);
	
	e.modifyDuration('fermentation_vat', 115);
    e.modifyVolume('fermentation_vat', 1.0);
	
	e.modifyDuration('caster', 204);
    e.modifyVolume('caster', 1.0);
	
	e.modifyDuration('electric_caster', 204);
    e.modifyVolume('electric_caster', 1.0);
	
	e.modifyDuration('melter', 32);
    e.modifyVolume('melter', 1.0);
	
	e.modifyDuration('electric_melter', 32);
    e.modifyVolume('electric_melter', 1.0);
	
	e.modifyDuration('reaction_furnace', 31);
    e.modifyVolume('reaction_furnace', 1.0);
	
	e.modifyDuration('dissolution_tank', 170);
    e.modifyVolume('dissolution_tank', 1.0);
	
	e.modifyDuration('evaporation', 99);
    e.modifyVolume('evaporation', 1.0);
	
	e.modifyDuration('fluidized_bed_reactor', 97);
    e.modifyVolume('fluidized_bed_reactor', 1.0);
	
	e.modifyDuration('pyro', 61);
    e.modifyVolume('pyro', 1.0);
	
	e.modifyDuration('gas_driller', 128);
    e.modifyVolume('gas_driller', 1.0);
	
	e.modifyDuration('smoke_stack', 35);
    e.modifyVolume('smoke_stack', 1.0);
	
    
});